Save Historical Transactions
POST /obp/v7.0.0/management/historical/transactions
OBPv3.1.0-saveHistoricalTransaction Roles: CanCreateHistoricalTransaction Transaction-Request
Import the historical transactions.
The fields bank_id, account_id, counterparty_id in the json body are all optional ones. It support transfer money from account to account, account to counterparty and counterparty to counterparty Both bank_id + account_id and counterparty_id can identify the account, so OBP only need one of them to make the payment. So: When you need the account to account, just omit counterparty_id field.eg: { "from": { "bank_id": "gh.29.uk", "account_id": "1ca8a7e4-6d02-48e3-a029-0b2bf89de9f0", }, "to": { "bank_id": "gh.29.uk", "account_id": "2ca8a7e4-6d02-48e3-a029-0b2bf89de9f0", }, "value": { "currency": "GBP", "amount": "10" }, "description": "this is for work", "posted": "2017-09-19T02:31:05Z", "completed": "2017-09-19T02:31:05Z", "type": "SANDBOX_TAN", "charge_policy": "SHARED" }
When you need the counterparty to counterparty, need to omit bank_id and account_id field.eg: { "from": { "counterparty_id": "f6392b7d-4218-45ea-b9a7-eaa71c0202f9" }, "to": { "counterparty_id": "26392b7d-4218-45ea-b9a7-eaa71c0202f9" }, "value": { "currency": "GBP", "amount": "10" }, "description": "this is for work", "posted": "2017-09-19T02:31:05Z", "completed": "2017-09-19T02:31:05Z", "type": "SANDBOX_TAN", "charge_policy": "SHARED" }
or, you can counterparty to account { "from": { "counterparty_id": "f6392b7d-4218-45ea-b9a7-eaa71c0202f9" }, "to": { "bank_id": "gh.29.uk", "account_id": "8ca8a7e4-6d02-48e3-a029-0b2bf89de9f0", }, "value": { "currency": "GBP", "amount": "10" }, "description": "this is for work", "posted": "2017-09-19T02:31:05Z", "completed": "2017-09-19T02:31:05Z", "type": "SANDBOX_TAN", "charge_policy": "SHARED" }
This call is experimental.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
JSON request body fields (13)
- amount
- 10.12
- charge_policy
- SHARED
- completed
- 2020-01-27
- currency
- EUR
- description
- Description of the object. Maximum length is 2000. It can be any characters here.
- from
- posted
- 2020-01-27
- to
- type
- value
- 5987953
- account_id
- 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
- bank_id
- gh.29.uk
- counterparty_id
- 9fg8a7e4-6d02-40e3-a129-0b2bf89de8uh
JSON response body fields (14)
- amount
- 10.12
- charge_policy
- SHARED
- completed
- 2020-01-27
- currency
- EUR
- description
- Description of the object. Maximum length is 2000. It can be any characters here.
- from
- posted
- 2020-01-27
- to
- transaction_id
- 2fg8a7e4-6d02-40e3-a129-0b2bf89de8ub
- transaction_request_type
- SEPA
- value
- 5987953
- account_id
- 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
- bank_id
- gh.29.uk
- counterparty_id
- 9fg8a7e4-6d02-40e3-a129-0b2bf89de8uh
Example request body
{
"from": {
"bank_id": "gh.29.uk",
"account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
"counterparty_id": "9fg8a7e4-6d02-40e3-a129-0b2bf89de8uh"
},
"to": {
"bank_id": "gh.29.uk",
"account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
"counterparty_id": "9fg8a7e4-6d02-40e3-a129-0b2bf89de8uh"
},
"value": {
"currency": "EUR",
"amount": "0"
},
"description": "this is for work",
"posted": "1100-01-01T01:01:01Z",
"completed": "1100-01-01T01:01:01Z",
"type": "SANDBOX_TAN",
"charge_policy": "SHARED"
}Example success response
{
"transaction_id": "2fg8a7e4-6d02-40e3-a129-0b2bf89de8ub",
"from": {
"bank_id": "gh.29.uk",
"account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
"counterparty_id": "9fg8a7e4-6d02-40e3-a129-0b2bf89de8uh"
},
"to": {
"bank_id": "gh.29.uk",
"account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
"counterparty_id": "9fg8a7e4-6d02-40e3-a129-0b2bf89de8uh"
},
"value": {
"currency": "EUR",
"amount": "0"
},
"description": "this is for work",
"posted": "1100-01-01T01:01:01Z",
"completed": "1100-01-01T01:01:01Z",
"transaction_request_type": "SANDBOX_TAN",
"charge_policy": "SHARED"
}Possible errors (10)
- OBP-10001: Incorrect json format.
- OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
- OBP-30003: Account not found. Please specify a valid value for ACCOUNT_ID.
- OBP-30017: Counterparty not found. Please specify a valid value for COUNTERPARTY_ID.
- OBP-10002: Invalid Number. Could not convert value to a number.
- OBP-40008: Can't send a payment with a value of 0 or less.
- OBP-40003: Transaction Request Currency must be the same as From Account Currency.
- OBP-50000: Unknown Error.
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles: